// Gmsh project created on Fri Nov 25 16:42:23 2022
SetFactory("OpenCASCADE");

//+
Point(10) = {0.050, 0.1, 0, 1.0};

//+
Point(12) = {0, 0, 0, 1.0};

//+
Point(15) = {0, 0.0717, 0, 1.0};

//+
Point(16) = {0, 0.1, 0, 1.0};
//+
Point(17) = {0.01, 0.1, 0, 1.0};
//+
Point(19) = {0.050, 0.06, 0, 1.0};
//+
Point(20) = {0.050, 0, 0, 1.0};
//+
Line(11) = {12, 15};
//+
Line(12) = {15, 16};
//+
Line(13) = {16, 17};
//+
Line(17) = {19, 20};
//+
Line(18) = {20, 12};

//+
Rotate {{0, 0, 1}, {0.05, 0.1, 0}, -Pi/4} {
  Duplicata { Point{19}; }
}
//+
Circle(19) = {17, 10, 21};
//+
Circle(20) = {21, 10, 19};
//+
Line(21) = {15, 21};
//+
Curve Loop(1) = {11, 21, 20, 17, 18};
//+
Plane Surface(1) = {1};
//+
Curve Loop(2) = {12, 13, 19, -21};
//+
Plane Surface(2) = {2};
//+
BooleanFragments{ Surface{1}; Surface{2}; Delete; }{ }
