// Gmsh project created on Fri Nov 25 16:42:23 2022
SetFactory("OpenCASCADE");
//+
Point(7) = {0.010, 0.055, 0, 1.0};
//+
Point(10) = {0.015, 0.055, 0, 1.0};
//+
Point(11) = {0.015, 0.05, 0, 1.0};
//+
Circle(10) = {7, 10, 11};
//+

//+
Point(12) = {0, 0, 0, 1.0};

//+
Point(15) = {0, 0.055, 0, 1.0};
//+
Recursive Delete {
  Point{14}; 
}
//+
Point(16) = {0, 0.1, 0, 1.0};
//+
Point(17) = {0.01, 0.1, 0, 1.0};

//+
Point(19) = {0.045, 0.05, 0, 1.0};
//+
Point(20) = {0.045, 0, 0, 1.0};
//+
Line(11) = {12, 15};
//+
Line(12) = {15, 16};
//+
Line(13) = {16, 17};
//+
Line(14) = {17, 7};
//+
Line(15) = {7, 15};
//+
Line(16) = {11, 19};
//+
Line(17) = {19, 20};
//+
Line(18) = {20, 12};

//+
Curve Loop(1) = {11, -15, 10, 16, 17, 18};
//+
Plane Surface(1) = {1};
//+
Curve Loop(2) = {12, 13, 14, 15};
//+
Plane Surface(2) = {2};
//+
Curve Loop(3) = {14, 10, 16};
//+
Plane Surface(3) = {3};
//+
Recursive Delete {
  Point{10}; 
}
//+
Transfinite Curve {10,15, 13} = 5 Using Progression 1;
//+
Transfinite Curve {12, 14,16, 17} = 10 Using Progression 1;
//+
Transfinite Curve {11, 18} = 11 Using Progression 1;
//+
Transfinite Curve {10} = 10 Using Progression 1;
//+

Transfinite Surface {2};

//+
Recombine Surface {2, 3, 1};
