// Gmsh project created on Fri Nov 25 16:42:23 2022
SetFactory("OpenCASCADE");

//+
Point(12) = {0, 0, 0, 1.0};

//+
Point(15) = {0, 0.052, 0, 1.0};

//+
Point(16) = {0, 0.07, 0, 1.0};
//+
Point(17) = {0.005, 0.07, 0, 1.0};
//+
Point(19) = {0.050, 0.05, 0, 1.0};
//+
Point(20) = {0.050, 0, 0, 1.0};

//+
Point(22) = {0.005, 0.052, 0, 1.0};
//+
Point(23) = {0.007, 0.050, 0, 1.0};
//+
Point(24) = {0.007, 0.052, 0, 1.0};

//+
Line(1) = {15, 16};
//+
Line(2) = {16, 17};
//+
Line(3) = {19, 20};
//+
Line(4) = {15, 12};
//+
Line(5) = {12, 20};
//+
Line(6) = {22, 17};
//+
Line(7) = {15, 22};
//+
Line(9) = {23, 19};
//+
Circle(10) = {22, 24, 23};
//+
Curve Loop(1) = {4, 5, -3, -9, -10, -7};
//+
Plane Surface(1) = {1};
//+
Curve Loop(2) = {1, 2, -6, -7};
//+
Plane Surface(2) = {2};
//+
BooleanFragments{ Surface{1}; Surface{2}; Delete; }{ }
//+
Transfinite Curve {10, 7} = 15 Using Progression 1;

//+
Transfinite Curve {1, 6, 4, 5, 3, 9} = 20 Using Progression 1;
